installation du template

Discussion in 'Installation/Configuration' started by Balbuzard, Mar 18, 2009.

  1. Balbuzard

    Balbuzard New Member

    Hi again!

    I am trying to get the template for the Debian distribution that I want to use in the virtual machines.
    I am following the different steps at this page
    the instruction apt-get install returns the different templates available, I presume, so I chose the one I want to use and enter this command:
    apt-get install vzctl-ostmpl-debian-5.0-i386-minimal
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    You might want to run `apt-get -f install' to correct these:
    The following packages have unmet dependencies:
      vzdump: Depends: exim4 but it is not going to be installed or
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
    vzdump is installed (man vzdump returns information about this function)
    I can not install exim4 (the same problem occurs and it seems to be endless) and when I try with mail-transport-agent the shell returns:
    Package mail-transport-agent is a virtual package provided by:
      xmail 1.25-4
      ssmtp 2.62-3
      sendmail-bin 8.14.3-5
      postfix 2.5.5-1.1
      nullmailer 1:1.04-1.1
      msmtp-mta 1.4.15-1
      masqmail 0.2.21-4
      exim4-daemon-light 4.69-9
      exim4-daemon-heavy 4.69-9
      esmtp-run 0.6.0-1
      courier-mta 0.60.0-2
      citadel-mta 7.37-8
    You should explicitly select one to install.
    E: Package mail-transport-agent has no installation candidate
    So I don't know what to do now :-(

    Could someone help me at this step?

    Thanks a lot!!
  2. Balbuzard

    Balbuzard New Member

    a retry after the instruction apt-get purge has solved the problem.
    Thanks anyway!

Share This Page